## dreamchess 0.3.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.2)
project(DreamChess VERSION 0.3.0)

set(DREAMCHESS_RELEASE TRUE)
set(COPYRIGHT_YEAR 2019)

option(BUILD_DREAMCHESS "Build DreamChess GUI" ON)
option(BUILD_DREAMER "Build Dreamer chess engine" ON)

find_package(BISON REQUIRED)
find_package(FLEX REQUIRED)

if(UNIX AND NOT APPLE)
    include(GNUInstallDirs)
endif()

list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

include(GetGitRevisionDescription)
if(NOT DREAMCHESS_RELEASE)
    get_git_head_revision(GIT_REFSPEC GIT_SHA1)
    if(GIT_SHA1)
        string(SUBSTRING "${GIT_SHA1}" 0 7 GIT_SHA1_SHORT)
        set(GIT_REV "-GIT-${GIT_SHA1_SHORT}")
    else()
        set(GIT_REV "-GIT")
    endif()
endif()

include(CMakeCPack)
include(CheckIncludeFiles)
check_include_files(getopt.h HAVE_GETOPT_H)
include(CheckFunctionExists)
check_function_exists(getopt_long HAVE_GETOPT_LONG)
check_function_exists(usleep HAVE_USLEEP)
try_compile(HAVE_C99_VARARGS_MACROS ${CMAKE_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/test_c99_varargs.c)
try_compile(HAVE_GNUC_VARARGS_MACROS ${CMAKE_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/test_gnuc_varargs.c)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.in ${CMAKE_CURRENT_BINARY_DIR}/config.h)

add_subdirectory(common/src)

if(BUILD_DREAMCHESS)
    add_subdirectory(dreamchess/src)
endif()

if(BUILD_DREAMER)
    add_subdirectory(dreamer/src)
endif()

set(DOC_FILES
    LICENSE.txt
    AUTHORS.txt
)

if(APPLE)
    install(FILES ${DOC_FILES} DESTINATION .)
elseif(UNIX)
    install(FILES ${DOC_FILES} DESTINATION ${CMAKE_INSTALL_DOCDIR})
else()
    install(FILES ${DOC_FILES} DESTINATION doc)
endif()

add_subdirectory(dist)

=== dist/CMakeLists.txt ===
install(CODE "
	set(BU_CHMOD_BUNDLE_ITEMS ON)
	include(BundleUtilities)
")

if(MSVC)
	set(CMAKE_INSTALL_UCRT_LIBRARIES 1)
	set(CMAKE_INSTALL_SYSTEM_RUNTIME_LIBS_SKIP 1)
	include(InstallRequiredSystemLibraries)
	set(SYSTEM_LIBS_RELEASE ${CMAKE_INSTALL_SYSTEM_RUNTIME_LIBS})

	# Include the api-ms-win-* DLLs in the Debug build
	foreach(LIB ${CMAKE_INSTALL_SYSTEM_RUNTIME_LIBS})
		if(NOT ${LIB} MATCHES "api-ms-win-")
			list(REMOVE_ITEM CMAKE_INSTALL_SYSTEM_RUNTIME_LIBS ${LIB})
		endif()
	endforeach()

	set(CMAKE_INSTALL_DEBUG_LIBRARIES 1)
	set(CMAKE_INSTALL_DEBUG_LIBRARIES_ONLY 1)
	include(InstallRequiredSystemLibraries)
	set(SYSTEM_LIBS_DEBUG ${CMAKE_INSTALL_SYSTEM_RUNTIME_LIBS})

	install(CODE "
		string(TOLOWER \"\${CMAKE_INSTALL_CONFIG_NAME}\" CONFIG_NAME_LOWER)
		if(\"\${CONFIG_NAME_LOWER}\" STREQUAL \"debug\")
			set(SYSTEM_LIBS \"${SYSTEM_LIBS_DEBUG}\")
		else()
			set(SYSTEM_LIBS \"${SYSTEM_LIBS_RELEASE}\")
		endif()
		foreach(LIB \${SYSTEM_LIBS})
			file(INSTALL \${LIB} DESTINATION \${CMAKE_INSTALL_PREFIX})
		endforeach()
	")
endif()

# Skip fixup_bundle for vcpkg as the DLLs are already in place
if(WIN32 AND NOT VCPKG_TOOLCHAIN)
    if(BUILD_DREAMCHESS)
        install(CODE "fixup_bundle(\${CMAKE_INSTALL_PREFIX}/dreamchess.exe \"\" \"\")")
    elseif(BUILD_DREAMER)
        install(CODE "fixup_bundle(\${CMAKE_INSTALL_PREFIX}/dreamer.exe \"\" \"\")")
    endif()
elseif(APPLE)
	if(BUILD_DREAMCHESS)
		install(CODE "fixup_bundle(\${CMAKE_INSTALL_PREFIX}/DreamChess.app \"\" \"\")")
	endif()
endif()

=== common/src/CMakeLists.txt ===
include(GetGitRevisionDescription)
git_describe(GIT_DESC)
configure_file("${CMAKE_CURRENT_SOURCE_DIR}/git_rev.c.in" "${CMAKE_CURRENT_BINARY_DIR}/git_rev.c" @ONLY)

BISON_TARGET(SanParser san_parse.y ${CMAKE_CURRENT_BINARY_DIR}/san_parse.c COMPILE_FLAGS "-p san")

add_library(common STATIC
    ${BISON_SanParser_OUTPUTS}
    ${CMAKE_CURRENT_BINARY_DIR}/git_rev.c
    msgbuf.c
    msgbuf.h
)

target_sources(common
    PUBLIC
    ${CMAKE_CURRENT_LIST_DIR}/include/san.h
    INTERFACE
    ${CMAKE_CURRENT_LIST_DIR}/include/git_rev.h
)

if(WIN32)
    target_sources(common
        PRIVATE
        pipe_win32.c
        PUBLIC
        ${CMAKE_CURRENT_LIST_DIR}/include/pipe_win32.h
    )
else()
    target_sources(common
        PRIVATE
        pipe_unix.c
        PUBLIC
        ${CMAKE_CURRENT_LIST_DIR}/include/pipe_unix.h
    )
endif()

target_include_directories(common PUBLIC include)

=== dreamchess/src/CMakeLists.txt ===
# Disable our own FindSDL2.cmake for vcpkg
if(VCPKG_TOOLCHAIN)
    list(REMOVE_ITEM CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake")
endif()

find_package(SDL2 REQUIRED)

if(VCPKG_TOOLCHAIN)
    list(APPEND CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake")
endif()

find_package(SDL2_image REQUIRED)
find_package(SDL2_mixer REQUIRED)
find_package(OpenGL REQUIRED)
find_package(GLEW REQUIRED)
find_package(EXPAT REQUIRED)

BISON_TARGET(PgnParser pgn_parser.y ${CMAKE_CURRENT_BINARY_DIR}/pgn_parser.c)
FLEX_TARGET(PgnScanner pgn_scanner.l ${CMAKE_CURRENT_BINARY_DIR}/pgn_scanner.c)
ADD_FLEX_BISON_DEPENDENCY(PgnScanner PgnParser)

if(MINGW)
    set(CMAKE_RC_COMPILE_OBJECT "<CMAKE_RC_COMPILER> <FLAGS> -O coff <DEFINES> -i <SOURCE> -o <OBJECT>") 
endif(MINGW)

add_executable(dreamchess MACOSX_BUNDLE
    board.c
    board.h
    comm.c
    comm.h
    credits.c
    credits.h
    debug.c
    debug.h
    dir.c
    dir.h
    dreamchess.c
    dreamchess.h
    fen.c
    fen.h
    history.c
    history.h
    options.c
    system_config.c
    theme.c
    ui.h
    xml.c
    xml.h
    ${BISON_PgnParser_OUTPUTS}
    ${FLEX_PgnScanner_OUTPUTS}
    include/engine.h
    include/options.h
    include/system_config.h
    include/theme.h
)

set(COPYRIGHT_STRING "Copyright © 2003-${COPYRIGHT_YEAR} DreamChess developers")

set_target_properties(dreamchess PROPERTIES
    MACOSX_BUNDLE_NAME ${PROJECT_NAME}
    MACOSX_BUNDLE_BUNDLE_VERSION ${PROJECT_VERSION}
    MACOSX_BUNDLE_COPYRIGHT ${COPYRIGHT_STRING}
    MACOSX_BUNDLE_GUI_IDENTIFIER org.dreamchess.DreamChess
    MACOSX_BUNDLE_ICON_FILE DreamChess.icns
    MACOSX_BUNDLE_INFO_STRING ${COPYRIGHT_STRING}
    MACOSX_BUNDLE_LONG_VERSION_STRING "Version ${PROJECT_VERSION}"
    MACOSX_BUNDLE_SHORT_VERSION_STRING ${PROJECT_VERSION}
)

if(APPLE OR WIN32)
    set_target_properties(dreamchess PROPERTIES OUTPUT_NAME DreamChess)
endif()

if(WIN32)
    target_sources(dreamchess PRIVATE comm_win32.c win32.rc)
    set_source_files_properties(win32.rc PROPERTIES OBJECT_DEPENDS "${CMAKE_CURRENT_SOURCE_DIR}/win32.ico;${CMAKE_CURRENT_SOURCE_DIR}/dpi.manifest")
else()
    target_sources(dreamchess PRIVATE comm_unix.c)
endif()

if(MSVC)
    target_sources(dreamchess PRIVATE msvc/getopt.c msvc/getopt.h)
endif()

target_sources(dreamchess
    PRIVATE
    audio/playlist.c
    audio/playlist.h
    audio/sdlmixer.c
    include/audio.h
)

source_group("Source Files\\audio" REGULAR_EXPRESSION /audio/.*.c$)
source_group("Header Files\\audio" REGULAR_EXPRESSION /audio/.*.h$)

target_sources(dreamchess
    PRIVATE
    dialogs/configuration.c
    dialogs/ingame_dialog.c
    dialogs/message_dialog.c
    dialogs/quit_dialog.c
    dialogs/resolution.c
    dialogs/styles.c
    dialogs/system_dialog.c
    dialogs/time.c
    include/dialogs.h
)

source_group("Source Files\\dialogs" REGULAR_EXPRESSION /dialogs/.*.c$)
source_group("Header Files\\dialogs" REGULAR_EXPRESSION /dialogs/.*.h$)

target_sources(dreamchess
    PRIVATE
    gamegui/action.c
    gamegui/align.c
    gamegui/bin.c
    gamegui/box.c
    gamegui/clipping.c
    gamegui/container.c
    gamegui/dialog.c
    gamegui/edit.c
    gamegui/entry.c
    gamegui/frame.c
    gamegui/hbox.c
    gamegui/image.c
    gamegui/label.c
    gamegui/option.c
    gamegui/scrollbarv.c
    gamegui/select.c
    gamegui/seperatorh.c
    gamegui/seperatorv.c
    gamegui/signal.c
    gamegui/system.c
    gamegui/vbox.c
    gamegui/viewport.c
    gamegui/widget.c
    include/gamegui.h
    include/gamegui/action.h
    include/gamegui/align.h
    include/gamegui/bin.h
    include/gamegui/box.h
    include/gamegui/clipping.h
    include/gamegui/container.h
    include/gamegui/dialog.h
    include/gamegui/edit.h
    include/gamegui/entry.h
    include/gamegui/frame.h
    include/gamegui/hbox.h
    include/gamegui/image.h
    include/gamegui/label.h
    include/gamegui/option.h
    include/gamegui/queue.h
    include/gamegui/scrollbarv.h
    include/gamegui/select.h
    include/gamegui/seperatorh.h
    include/gamegui/seperatorv.h
    include/gamegui/signal.h
    include/gamegui/system.h
    include/gamegui/vbox.h
    include/gamegui/viewport.h
    include/gamegui/widget.h
)

source_group("Source Files\\gamegui" REGULAR_EXPRESSION /gamegui/.*.c$)
source_group("Header Files\\gamegui" REGULAR_EXPRESSION /include/gamegui/.*.h$)

target_sources(dreamchess
    PRIVATE
    gui/colours.c
    gui/credits.c
    gui/draw_scene.c
    gui/draw_shape.c
    gui/gamegui_driver.c
    gui/get_move.c
    gui/ingame_ui.c
    gui/load_data.c
    gui/promote_dialog.c
    gui/saveload_dialog.c
    gui/system.c
    gui/text.c
    gui/texture.c
    gui/theme.c
    gui/title_dialog.c
    gui/transitions.c
    gui/ui_sdlgl_3d.c
    gui/ui_sdlgl_3d.h
    gui/ui_sdlgl.c
    gui/ui_sdlgl.h
    gui/victory_dialog.c
    gui/vkeyboard.c
    gui/xmlsavefile.c
)

source_group("Source Files\\gui" REGULAR_EXPRESSION /gui/.*.c$)
source_group("Header Files\\gui" REGULAR_EXPRESSION /gui/.*.h$)

if(UNIX)
    target_compile_definitions(dreamchess PRIVATE -DDATADIR="${CMAKE_INSTALL_FULL_DATADIR}/dreamchess")
endif()

target_include_directories(dreamchess
    PRIVATE
    ${SDL2_INCLUDE_DIR}
    ${SDL2_IMAGE_INCLUDE_DIR}
    ${SDL2_MIXER_INCLUDE_DIR}
    ${OPENGL_INCLUDE_DIR}
    ${GLEW_INCLUDE_DIR}
    ${EXPAT_INCLUDE_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}/include
    ${CMAKE_BINARY_DIR}
)

target_link_libraries(dreamchess
    common
    GLEW::GLEW
    ${SDL2_IMAGE_LIBRARY}
    ${SDL2_MIXER_LIBRARY}
    ${SDL2_LIBRARY}
    ${OPENGL_LIBRARY}
    ${EXPAT_LIBRARY}
)

if(VCPKG_TOOLCHAIN)
    target_link_libraries(dreamchess
        SDL2::SDL2
        SDL2::SDL2main
    )
endif()

if(WIN32)
    target_link_libraries(dreamchess shlwapi)
endif()

if(MSVC)
    set_target_properties(dreamchess PROPERTIES LINK_FLAGS_DEBUG "/MANIFEST:NO")
    set_target_properties(dreamchess PROPERTIES LINK_FLAGS_RELEASE "/SUBSYSTEM:WINDOWS /MANIFEST:NO")
    set_target_properties(dreamchess PROPERTIES LINK_FLAGS_MINSIZEREL "/SUBSYSTEM:WINDOWS /MANIFEST:NO")
    set_target_properties(dreamchess PROPERTIES LINK_FLAGS_RELWITHDEBINFO "/SUBSYSTEM:WINDOWS /MANIFEST:NO")
elseif(MINGW)
    set_target_properties(dreamchess PROPERTIES LINK_FLAGS_DEBUG "-mconsole")
endif()

if(WIN32)
    install(TARGETS dreamchess DESTINATION .)
    set_property(INSTALL $<TARGET_FILE_NAME:dreamchess>
        PROPERTY CPACK_START_MENU_SHORTCUTS "DreamChess"
    )

    install(DIRECTORY ../data DESTINATION .)

    if(MSVC)
        install(CODE "
            file(GLOB DLLS \"${CMAKE_CURRENT_BINARY_DIR}/\${CMAKE_INSTALL_CONFIG_NAME}/*.dll\")
            file(INSTALL \${DLLS} DESTINATION \${CMAKE_INSTALL_PREFIX})
        ")
    endif()
elseif(APPLE)
    install(TARGETS dreamchess DESTINATION .)
    install(DIRECTORY ../data/ DESTINATION DreamChess.app/Contents/Resources)
elseif(UNIX)
    install(TARGETS dreamchess DESTINATION ${CMAKE_INSTALL_BINDIR})
    install(FILES ../man/dreamchess.6 DESTINATION ${CMAKE_INSTALL_MANDIR}/man6)
    install(FILES ../desktop/dreamchess.desktop DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/applications)
    install(FILES ../desktop/48/dreamchess.png DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/48x48/apps)
    install(FILES ../desktop/256/dreamchess.png DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/256x256/apps)
    install(DIRECTORY ../data/ DESTINATION ${CMAKE_INSTALL_DATADIR}/dreamchess)
endif()

=== dreamer/src/CMakeLists.txt ===
BISON_TARGET(PgnParserBook pgn_parser.y ${CMAKE_CURRENT_BINARY_DIR}/pgn_parser.c COMPILE_FLAGS "-p pgn_")
FLEX_TARGET(PgnScannerBook pgn_scanner.l ${CMAKE_CURRENT_BINARY_DIR}/pgn_scanner.c COMPILE_FLAGS "-P pgn_")
ADD_FLEX_BISON_DEPENDENCY(PgnScannerBook PgnParserBook)

add_executable(dreamer
    board.c
    board.h
    commands.c
    commands.h
    dreamer.c
    dreamer.h
    e_comm.c
    e_comm.h
    eval.c
    eval.h
    gen_chess_moves.c
    hashing.c
    hashing.h
    history.c
    history.h
    main.c
    makebook.c
    makebook.h
    move_data.h
    move.c
    move.h
    repetition.c
    repetition.h
    search.c
    search.h
    timer.c
    timer.h
    transposition.c
    transposition.h
    ${BISON_PgnParserBook_OUTPUTS}
    ${FLEX_PgnScannerBook_OUTPUTS}
)

if(WIN32)
    target_sources(dreamer PRIVATE e_comm_win32.c)
else()
    target_sources(dreamer PRIVATE e_comm_unix.c)
endif()

target_link_libraries(dreamer common)

target_include_directories(dreamer
    PRIVATE
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_BINARY_DIR}
)

if(WIN32)
    install(TARGETS dreamer DESTINATION .)
elseif(APPLE)
    if(BUILD_DREAMCHESS)
        install(TARGETS dreamer DESTINATION DreamChess.app/Contents/MacOS)
    else()
        install(TARGETS dreamer DESTINATION .)
    endif()
elseif(UNIX)
    install(TARGETS dreamer DESTINATION ${CMAKE_INSTALL_BINDIR})
    install(FILES ../man/dreamer.6 DESTINATION ${CMAKE_INSTALL_MANDIR}/man6)
endif()

## dreamchess 0.2.0

=== debian/changelog ===
dreamchess (0.2.0-3) unstable; urgency=low

  * Team upload.
  * Minor watch file fixes
  * Wrap build-deps, deps one per line
  * Wrap Debian menu file, one attribute per line
  * Switch to dpkg-source v3 quilt
  * Fix FTBFS with GCC 4.5 (Closes: #554498)
  * Switch to debhelper 7 and dh
  * Use dh-autoreconf instead of patching autotools stuff
  * Add ${misc:Depends} to -data package depends just in case
  * Bump Standards-Version, no changes needed
  * Forward the patches upstream and add DEP-3 headers 
  * Enable audio using SDL mixer
  * Improve the package descriptions
  * Drop the pthread patch since it is no longer needed
  * Create the XPM icon from the upstream icon using imagemagick

 -- Paul Wise <pabs@debian.org>  Fri, 25 Mar 2011 12:54:56 +0800

dreamchess (0.2.0-2) unstable; urgency=low

  [ Cyril Brulebois ]
  * Remove “-p1” from debian/patches/series since it's useless and since
    it might cause an FTBFS with the “3.0 (quilt)” source package format.
  * Move config.{guess,sub} update from the clean target to the
    config.status one, and remove them in clean target instead, so as to
    keep the Debian diff clean and not to cause an FTBFS with the new
    “3.0 (quilt)” source package format. Thanks to Raphaël Hertzog for the
    notice (Closes: #484970).
  * debian/rules cleanup:
     - Nuke trailing spaces.
     - Use quilt.make include, and appropriate patch/unpatch dependencies
       for the config.status and clean target, using an additional
       realclean target for the latter.

  [ Gonéri Le Bouder ]
  * Use the Games/Board section for the Debian menu file 

  [ Barry deFreese ]
  * Update my e-mail address.
  * Change short description on -data package.
  * Add description to quilt patch.
  * Bump Standards Version to 3.8.1. (No changes needed).

 -- Barry deFreese <bdefreese@debian.org>  Wed, 18 Mar 2009 14:17:56 -0400

dreamchess (0.2.0-1) unstable; urgency=low

  [ Barry deFreese ]
  * New upstream release (Closes: #457050)
  * Drop mxml patch as upstream no longer ships it

  [ Gonéri Le Bouder ]
  * add fix-mxml-check.diff, -lpthread was missing in ./configure libmxml
    detection
  * dreamchess depends on dreamchess-data (= ${source:Version})
  * dreamchess-data suggets dreamchess
  * remove dreamchess-fullscreen.desktop since it's now possible to switch
    to the fullscreen from within the game
  * update the copyright file. The game is now under the GPLv3.

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Sat, 16 Feb 2008 03:55:09 +0100

dreamchess (0.1.0-3) unstable; urgency=low

  [ Gonéri Le Bouder ]
  * dpkg-buildpackage -B doesn't create arch all package anymore
    (Closes: #443046)
  * change the name of the menu entry for the full screen desktop file
    to make them distinct in the application menus
    (Closes: #454936)

  [ Jon Dowland ]
  * add Homepage: control field to source stanza

  [ Barry deFreese ]
  * Remove Homepage from package description
  * Update VCS fields in control
  * Bump to standards version 3.7.3 (No changes necessary)
  * Remove deprecated encoding line from desktop file
  * Add myself to uploaders

 -- Barry deFreese <bddebian@comcast.net>  Tue, 18 Dec 2007 07:35:14 -0500

dreamchess (0.1.0-2) unstable; urgency=low

  * fix the watchfile
  * rewrite use_mxml_from_debian.diff to avoid an autotools autoexecution
    (Closes: #424186, #442544)
  * make clean removes quilt .pc directory
  * do not ignore make distclean return anymore 

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Sun, 16 Sep 2007 22:28:15 +0200

dreamchess (0.1.0-1) unstable; urgency=low

  * initial package (Closes: #403123)

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Thu, 14 Dec 2006 20:02:36 +0100

=== debian/control ===
Source: dreamchess
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Barry deFreese <bdefreese@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
 dh-autoreconf,
 autotools-dev,
 imagemagick,
 libsdl-image1.2-dev,
 libsdl-mixer1.2-dev,
 libsdl1.2-dev,
 libmxml-dev
Standards-Version: 3.9.1
Vcs-Svn: svn://svn.debian.org/svn/pkg-games/packages/trunk/dreamchess/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-games/packages/trunk/dreamchess/?op=log
Homepage: http://www.dreamchess.org/

Package: dreamchess
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 dreamchess-data (= ${source:Version})
Description: 3D chess game
 DreamChess features 3D OpenGL graphics and provides various chess board sets,
 ranging from classic wooden to flat.
 .
 A moderately strong chess engine is included: Dreamer. However, should this
 engine be too weak for you, then you can use any other XBoard-compatible chess
 engine, including the popular Crafty and GNU Chess.
 .
 Other features include on-screen move lists using SAN notation, undo
 functionality, and savegames in PGN format.

Package: dreamchess-data
Architecture: all
Depends: ${misc:Depends}
Description: data files for dreamchess
 This package provides the data files for DreamChess including various chess
 board sets ranging from classic wooden to flat, 3D models of the chess
 pieces, graphics and audio.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

%:
	dh $@ --parallel --with autotools_dev --with autoreconf

override_dh_auto_configure:
	CFLAGS="$(CFLAGS) -Wall -Wextra" dh_auto_configure -- --bindir=/usr/games --datadir=/usr/share/games

override_dh_auto_build:
	dh_auto_build
	convert -scale 32x32 desktop/dreamchess.png dreamchess.xpm

=== debian/watch ===
version=3
http://developer.berlios.de/project/showfiles.php?group_id=1625 .*/dreamchess-([\d\.]+)\.tar\.gz

## dreamchess 0.2.1-RC2

=== debian/changelog ===
dreamchess (0.2.1-RC2-3) unstable; urgency=medium

  * Switch to compat level 11.
  * Declare compliance with Debian Policy 4.2.1.
  * Drop deprecated menu file and xpm icon.
  * Use https for Homepage field.
  * Remove get-orig-source target.
  * Use canonical VCS URI.

 -- Markus Koschany <apo@debian.org>  Sat, 08 Dec 2018 15:31:49 +0100

dreamchess (0.2.1-RC2-2) unstable; urgency=medium

  * Build without --parallel option to avoid a race condition on buildd.

 -- Markus Koschany <apo@debian.org>  Tue, 10 Nov 2015 14:28:08 +0100

dreamchess (0.2.1-RC2-1) unstable; urgency=medium

  * Add myself to Uploaders.
  * Move the package to Git.
  * Imported Upstream version 0.2.1-RC2.
    - According to the NEWS file:
      Fixed issue with chess piece selection on some AMD GPUs.
      (Closes: #744237)
    - The chess board will be turned now when the user is playing black against
      the computer. (Closes: #578000)
    - The game works well and is not slow. (Closes: #606232)
    - Changing the resolution works with the free radeon driver.
      (Closes: #620103)
  * Declare compliance with Debian Policy 3.9.6.
  * Use compat level 9 and require debhelper >= 9.
  * d/rules: Remove --with autotools_dev because --with autoreconf
    is a superset.
  * Update debian/watch and track releases at github.com.
  * Add get-orig-source target.
  * Add bison and flex to Build-Depends.
  * debian/rules: Fix path to dreamchess.png
  * debian/rules: Do not pass buildflags to dh_auto_configure manually.
  * Add git_rev.patch and fix FTBFS.
  * Add desktop-file.patch and use upstream's desktop file from now on.
  * wrap-and-sort -sa.
  * Update debian/copyright to copyright format 1.0.
  * Add libgl1-mesa-dev, libglew-dev and libglu1-mesa-dev to Build-Depends
    otherwise the game will not start.
  * Install new dreamchess.png file to hicolor icon directory.
  * Update the clean file and ensure dreamchess can be built twice in a row.

 -- Markus Koschany <apo@debian.org>  Mon, 09 Nov 2015 19:44:59 +0100

=== debian/control ===
Source: dreamchess
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Barry deFreese <bdefreese@debian.org>,
 Markus Koschany <apo@debian.org>
Build-Depends:
 bison,
 debhelper (>= 11),
 flex,
 libmxml-dev,
 libsdl-image1.2-dev,
 libgl1-mesa-dev,
 libglew-dev,
 libglu1-mesa-dev,
 libsdl-mixer1.2-dev,
 libsdl1.2-dev
Standards-Version: 4.2.1
Vcs-Git: https://salsa.debian.org/games-team/dreamchess.git
Vcs-Browser: https://salsa.debian.org/games-team/dreamchess
Homepage: https://www.dreamchess.org/

Package: dreamchess
Architecture: any
Depends:
 dreamchess-data (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Description: 3D chess game
 DreamChess features 3D OpenGL graphics and provides various chess board sets,
 ranging from classic wooden to flat.
 .
 A moderately strong chess engine is included: Dreamer. However, should this
 engine be too weak for you, then you can use any other XBoard-compatible chess
 engine, including the popular Crafty and GNU Chess.
 .
 Other features include on-screen move lists using SAN notation, undo
 functionality, and savegames in PGN format.

Package: dreamchess-data
Architecture: all
Depends:
 ${misc:Depends}
Description: data files for dreamchess
 This package provides the data files for DreamChess including various chess
 board sets ranging from classic wooden to flat, 3D models of the chess
 pieces, graphics and audio.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

%:
	dh $@ --no-parallel

override_dh_auto_configure:
	dh_auto_configure -- \
		--bindir=/usr/games \
		--datadir=/usr/share/games

## dreamchess 0.3.0

=== debian/changelog ===
dreamchess (0.3.0-1build1) jammy; urgency=medium

  * No-change rebuild against libglew2.2

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 26 Oct 2021 13:14:32 +0000

dreamchess (0.3.0-1) unstable; urgency=medium

  * New upstream version 0.3.0.
  * Switch to debhelper-compat = 12.
  * Declare compliance with Debian Policy 4.4.0.
  * Remove --no-parallel option.
  * Remove clean file.
  * Use override for dh_missing.
  * Drop all patches. Fixed upstream.

 -- Markus Koschany <apo@debian.org>  Mon, 22 Jul 2019 01:10:11 +0200

=== debian/control ===
--- 
+++ 
@@ -7,16 +7,15 @@
  Markus Koschany <apo@debian.org>
 Build-Depends:
  bison,
- debhelper (>= 11),
+ cmake,
+ debhelper-compat (= 12),
  flex,
- libmxml-dev,
- libsdl-image1.2-dev,
- libgl1-mesa-dev,
+ libexpat1-dev,
  libglew-dev,
- libglu1-mesa-dev,
- libsdl-mixer1.2-dev,
- libsdl1.2-dev
-Standards-Version: 4.2.1
+ libsdl2-dev,
+ libsdl2-image-dev,
+ libsdl2-mixer-dev
+Standards-Version: 4.4.0
 Vcs-Git: https://salsa.debian.org/games-team/dreamchess.git
 Vcs-Browser: https://salsa.debian.org/games-team/dreamchess
 Homepage: https://www.dreamchess.org/

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/dreamchess-$1\.tar\.gz/ \
  https://github.com/dreamchess/dreamchess/tags .*/v?(\d\S*)\.tar\.gz
